Restore session
curl --request POST \
--url https://api.lumonol.co.uk/ankra/restore-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"executor_roblox_user_id": 123,
"actor_name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
schedule_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
date: '2023-12-25',
executor_roblox_user_id: 123,
actor_name: '<string>'
})
};
fetch('https://api.lumonol.co.uk/ankra/restore-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/restore-session"
payload = {
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"executor_roblox_user_id": 123,
"actor_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Sessions
Restore session
Un-cancel a session.
POST
/
restore-session
Restore session
curl --request POST \
--url https://api.lumonol.co.uk/ankra/restore-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"executor_roblox_user_id": 123,
"actor_name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
schedule_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
date: '2023-12-25',
executor_roblox_user_id: 123,
actor_name: '<string>'
})
};
fetch('https://api.lumonol.co.uk/ankra/restore-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/restore-session"
payload = {
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"executor_roblox_user_id": 123,
"actor_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
Body
application/json
The session's ID. Or send schedule_id and date instead.
With date: the session type, for a session that has no event_id yet.
With schedule_id: the day of the session, YYYY-MM-DD.
Roblox user ID of whoever did this in game. Recorded as the actor when they are linked to someone in the workspace.
The name to record as the actor. Defaults to "API".

